{ config, lib, pkgs, ... }:

{
  # Improve nix-shell and direnv integration
  services.lorri.enable = true;

  # Enable virtualisation
  virtualisation.libvirtd.enable = true;

  # Set up podman
  virtualisation = {
    containers.users = [ "coolneng" ];
    podman = {
      enable = true;
      dockerCompat = true;
    };
  };
}
